Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed   

Description

I'd like to suggest/discuss the idea of "freezing" the repository identifier just like it's done for the project identifier, i.e. after a project

has been created, the identifier cannot be changed anymore.

From what I understand in the comments to #779, the identifier is used in URLs and for wiki links. Both would benefit from the

identifier being frozen like for projects as this would prevent users from inadvertently breaking existing links.

What do you think? Would be happy to provide a patch if you share my opinion.

Associated revisions

Revision 10081 - 2012-07-26 19:41 - Jean-Philippe Lang

Repository Identifier should be frozen (#11109).

History

#1 - 2012-06-07 14:48 - Etienne Massip

- Target version set to Candidate for next major release

#2 - 2012-06-07 14:49 - Jan from Planio www.plan.io

Is that a +1? :-)

#3 - 2012-06-07 14:54 - Etienne Massip

It's my +1, yes =)

#4 - 2012-06-07 21:51 - Ivan Cenov

Is it possible 'frozen' to be configurable in a checkbox at project or at Redmine level?

#5 - 2012-06-08 00:19 - Etienne Massip

Ivan Cenov wrote:

Is it possible 'frozen' to be configurable in a checkbox at project or at Redmine level?

 Why so?

#6 - 2012-06-21 17:40 - Jan from Planio www.plan.io

I don't think it would make sense to make this a configurable setting. In my point of view, changing identifiers after a repo has been created can lead

to broken links and confusion among users. I don't see a benefit of having changeable identifiers, so I'd say no configuration option.

#7 - 2012-06-21 19:15 - Jan from Planio www.plan.io

- File frozen_repository_identifiers.patch added

Here's a patch against current trunk (r9879). Most of it is taken directly from the corresponding code for project identifiers. What do you think?

#8 - 2012-06-22 08:35 - Etienne Massip

Jan from Planio www.plan.io wrote:
Here's a patch against current trunk (r9879). Most of it is taken directly from the corresponding code for project identifiers. What do you think?

 Looks fine to me.

#9 - 2012-06-22 09:20 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.1.0

#10 - 2012-07-26 19:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch applied with slight changes in r10081.

Files

frozen_repository_identifiers.patch 47.9 KB 2012-06-21 Jan from Planio www.plan.io
